package org.jebot.constant;

public class Constant {

    public static final String SUCCESS = "success";

    /* ----------------------------群组所属类型及bot数据类型--------------------------------- */

    public static final String DATA_TYPE_CHANNEL = "channel";

    public static final String DATA_TYPE_MERCHANT = "merchant";

    /* ----------------------------记账本数据类型--------------------------------- */

    public static final String AGENT = "agent";

    public static final String PAYMENT = "payment";

    /* ----------------------------支付系统金额分转元--------------------------------- */

    public static final int AMOUNT_MOVE_POINT = 2;


    /* ----------------------------查询usdt转cny--------------------------------- */

    public static final String QUERY_USDT_TO_ALIPAY_CNY = "z0";

    public static final String QUERY_USDT_TO_WECAHT_CNY = "w0";

    public static final String QUERY_USDT_TO_BANK_CNY = "k0";


    //查询群组ID
    public static final String QUERY_GROUP_ID = "id";

    /* ----------------------------一键结算--------------------------------- */

    public static final String SETTLE_MCH = "所有账单";

    /* ----------------------------添加管理指令标识--------------------------------- */
    public static final String ADD_ADMIN = "增加管理";
    public static final String DEL_ADMIN = "删除管理";



    /* ----------------------------商户指令标识--------------------------------- */

    //查询商户成功率
    public static final String QUERY_MCH_TODAY_SUCCESS_RATE = "查成率";

    //查询余额
    public static final String QUERY_MCH_BALANCE = "查余额";


    //设置通道代收警告阈值
    public static final String UPDATE_MCH_AGENT_WARN_THRESHOLD_FLAG = "代付预警";

    //设置通道代付警告阈值
    public static final String UPDATE_MCH_PAYMENT_WARN_THRESHOLD_FLAG = "预付预警";

    //查询商户信息
    public static final String MCH_INFO = "商户信息";
    public static final String QUERY_MCH_ORDER_FLAG = "cd";

    //通过群组 ID 解绑商户号
    public static final String UNBIND_MCH_FLAG = "解绑商户";
    public static final String BIND_MCH_FLAG = "绑定商户";
    //通过群组 ID 关闭商户
    public static final String DISABLE_MCH = "关闭商户";
    //通过群组 ID 开启商户
    public static final String ENABLE_MCH = "开启商户";


    /* ----------------------------通道指令标识--------------------------------- */

    //通道查询成功率
    public static final String QUERY_CHANNEL_TODAY_SUCCESS_RATE = "查成率";

    //查询群组绑定的通道信息
    public static final String QUERY_CHANNEL_INFO = "通道信息";

    //查询余额
    public static final String QUERY_CHANNEL_BALANCE = "查余额";


    //设置通道代收警告阈值
    public static final String UPDATE_CHANNEL_AGENT_WARN_THRESHOLD_FLAG = "预付预警";

    //设置通道代付警告阈值
    public static final String UPDATE_CHANNEL_PAYMENT_WARN_THRESHOLD_FLAG = "代付预警";

    //通道查单命令标识
    public static final String QUERY_CHANNEL_ORDER_FLAG = "cd";

    //启用通道命令标识
    public static final String ENABLE_CHANNEL_FLAG = "开启";

    //禁用通道命令标识
    public static final String DISABLE_CHANNEL_FLAG = "关闭";

    //绑定通道命令标识
    public static final String BIND_CHANNEL_FLAG = "绑定通道";

    //解绑通道命令标识
    public static final String UNBIND_CHANNEL_FLAG = "解绑通道";


    /* ----------------------------记账指令标识--------------------------------- */
    //代付匹配标识
    public static final String AGENT_ACCOUNT_FLAG = "加钱";

    //代收匹配标识
    public static final String PAYMENT_ACCOUNT_FLAG = "预付";

    //代付匹配标识
    public static final String AGENT_ACCOUNT_HISTORY_FLAG = "代付账单";

    //代收匹配标识
    public static final String PAYMENT_ACCOUNT_HISTORY_FLAG = "预付账单";


    public static final int OPEN_CHANNEL = 1;
    public static final int CLOSE_CHANNEL = 0;
    public static final int OPEN_MERCHANT = 1;
    public static final int CLOSE_MERCHANT = 0;
}
