package org.jebot.models.jebot;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Comment;

import javax.persistence.Column;
import javax.persistence.Entity;

@Setter
@Getter
@Entity(name = "bot_account_book_history")
public class BotAccountBookHistory extends BotModel {

    @Comment("所属ID")
    @Column(name = "belong_id")
    Long belongId;

    @Column(name = "belong_name")
    @Comment("所属名称")
    String belongName;

    @Column(name = "belong_type")
    @Comment("所属类型: merchant, channel")
    String belongType;

    @Column(name = "amount")
    @Comment("交易金额")
    double amount;

    @Column(name = "after_balance")
    @Comment("交易后余额")
    double afterBalance;

    @Column(name = "before_balance")
    @Comment("交易前余额")
    double beforeBalance;

    @Column(name = "type")
    @Comment("操作类型: agent:代付, payment:代收")
    String type;

    @Column(name = "user_id")
    @Comment("操作用户id")
    Long userId;

    @Column(name = "user_name")
    @Comment("操作用户名称")
    String userName;
}
