package org.jebot.models.jebot;


import lombok.*;
import org.hibernate.annotations.Comment;

import javax.persistence.Column;
import javax.persistence.Entity;


@Getter
@Setter
@Entity(name = "bot_group")
@AllArgsConstructor
@NoArgsConstructor
public class BotGroup extends BotModel {

    @Comment("tg群组id")
    @Column(nullable = false,name = "group_id")
    private Long groupId;

    @Comment("tg群组名称")
    @Column(nullable = false,name = "group_name")
    private String groupName;

    @Comment("数据id")
    @Column(nullable = false,name = "data_id")
    private Long dataId;

    @Comment("数据名称")
    @Column(nullable = false,name = "data_name")
    private String dataName;

    @Column(nullable = false,name = "data_type")
    @Comment("数据类型:channel,merchant")
    private String dataType;

    @Column(nullable = false,name = "payment_warning_threshold")
    @Comment("代收警告阈值")
    private double paymentWarningThreshold;

    @Column(nullable = false,name = "agent_warning_threshold")
    @Comment("代付警告阈值")
    private double agentWarningThreshold;

}
