package org.jebot.models.xxpay;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.math.BigDecimal;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity(name = "t_mch_account")
public class MchAccount {
    @Id
    @Column(name = "MchId")
    private Long mchId;

    @Column(name = "Name")
    private String name;

    @Column(name = "Balance")
    private BigDecimal balance;

    @Column(name = "AgentpayBalance")
    private BigDecimal agentBalance;

    @Column(name = "Status")
    private int status;
}
