package org.jebot.repository.jebot;

import org.jebot.models.jebot.BotWarn;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

@Component
public interface BotWarnRepository extends JpaRepository<BotWarn, Long> {

    @Query("select w from bot_warn w where w.dataId =:dataId and w.warnType =:warnType and  w.dataType =:dataType")
    BotWarn findByDataIdAndWarnType(Long dataId, String warnType,String dataType);

}
