package org.jebot.models.jebot;

import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;


@Getter
@Setter
@Entity(name = "bot_user")
@NoArgsConstructor
@AllArgsConstructor
public class BotUser extends BotModel {

    @Column(name = "user_id")
    private Long userId;

    @Column(nullable = false, unique = true, name = "user_name")
    private String userName;


}
