package org.jebot.models.xxpay;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Entity(name = "t_pay_passage")
public class PayPassage {

    @Id
    private Long id;

    @Column(name = "PassageName")
    private String passageName;       // 通道名称

    @Column(name = "Status")
    private int status;      // 通道ID 通道状态,0-关闭,1-开启
}
